%HEADER%
%AS-HEADER-FAT%
#
mkdir $TMPDIR/$$
cd $TMPDIR/$$
#
# General Paths
#
S2DVERIF_DIR=%PATHS2DVERIF%
#
# Experiment description
#
EXPID=%EXPID%
CHUNKSIZE=%CHUNKSIZE%
NUMCHUNKS=%NUMCHUNKS%
START_date=%SDATE%
DATELIST="%DATELIST%"
#
# Define a few addional variables
#
TEMPLATE=%TEMPLATE_NAME%
MODEL=${TEMPLATE/3}
case $MODEL in
  'ECEARTH' ) 
    lstvars1d=( 'sie' 'sia' 'siv' 'tos' 'tas' 'prlr' 'ohc' 'lohc' 'mohc' 'uohc' 'amoc' ) 
    numfiles=`ls /cfunas/exp/ecearth/${EXPID}/monthly_mean/tas_*/*fc* | wc -l`
    ;;
  'IFS') lstvars1d=( 'tos' 'tas' 'prlr' ) 
    numfiles=`ls /cfunas/exp/ecearth/${EXPID}/monthly_mean/tas_*/*fc* | wc -l`
    ;;
  'NEMO') 
    lstvars1d=( 'sie' 'sia' 'siv' 'ohc' 'lohc' 'mohc' 'uohc' 'amoc' ) 
    numfiles=`ls /cfunas/exp/ecearth/${EXPID}/monthly_mean/heatc/heatc* | wc -l`
    ;;
esac
NLTIMES=$(($NUMCHUNKS * $CHUNKSIZE))
START_month=$(echo $START_date | cut -c5-6)
YEAR0=${DATELIST:0:4}
YEARF=${DATELIST:$((${#DATELIST}-8)):4}
if [[ $YEAR0 -gt $YEARF ]] ; then YEAR0=$YEARF ; YEARF=${DATELIST:0:4} ; fi
INTSDATES=$((${DATELIST:9:4}-$YEAR0))
if [[ $INTSDATES -lt 0 ]] ; then INTSDATES=$((-1*$INTSDATES)) ; fi
if [[ $NLTIMES -le 6 ]] ; then
  RUNMEANLEN=1
elif [[ $NLTIMES -le 12 ]] ; then
  RUNMEANLEN=3
else
  RUNMEANLEN=12
fi
#
# Launch the timeseries plotting
#
cp ${S2DVERIF_DIR}/inst/doc/plot_timeseries.R .
sed -e "s/lstexpid.*/lstexpid\ \<-\ c\(\'${EXPID}\'\)/g" plot_timeseries.R > tmp1
sed -e "s/nltimemax.*/nltimemax\ \<-\ ${NLTIMES}/g" tmp1 > tmp2
sed -e "s/nltimeout.*/nltimeout\ \<-\ ${NLTIMES}/g" tmp2 > tmp3
sed -e "s/mon0.*/mon0\ \<-\ ${START_month}/g" tmp3 > tmp4
sed -e "s/year0.*/year0\ \<-\ ${YEAR0}/g" tmp4 > tmp5
sed -e "s/yearf.*/yearf\ \<-\ ${YEARF}/g" tmp5 > tmp6
sed -e "s/intsdate.*/intsdate\ \<-\ ${INTSDATES}/g" tmp6 > tmp7
sed -e "s/runmeanlen.*/runmeanlen\ \<-\ ${RUNMEANLEN}/g" tmp7 > plot_timeseries.R
rm -f tmp1 tmp2 tmp3 tmp4 tmp5 tmp6 tmp7
if [[ $numfiles -le 3 ]] ; then
  sed -e "s/comptrend.*/comptrend\ \<-\ F/g" plot_timeseries.R > tmp1
  sed -e "s/compcor.*/compcor\ \<-\ F/g" tmp1 > tmp2
  sed -e "s/comprms.*/comprms\ \<-\ F/g" tmp2 > tmp3
  sed -e "s/compspread.*/compspread\ \<-\ F/g" tmp3 > tmp4
  sed -e "s/plotano.*/plotano\ \<-\ F/g" tmp4 > plot_timeseries.R
  rm -f tmp1 tmp2 tmp3 tmp4 tmp5
fi

for $var in ${lstvars1d[@]} ; do
  case $var in
    'sie'|'sia') ./plot_timeseries.R $var N ; ./plot_timeseries.R $var S ;;
    *) ./plot_timeseries.R $var ;;
  esac
  cat plot_timeseries.Rout
  rm -f plot_timeseries.Rout
done
#
#
# Launch the maps plotting
#
#rm -rf $TMPDIR/$$
#
%AS-TAILER-FAT%

